Subject: Re: bug#9227: 24.0.50; Documentation Lookup in python-mode

From: Jan Moringen <[email-masked]>
Date: Fri, 21 Dec 2012 22:24:14 +0100

On Fri, 2012-12-21 at 15:03 -0500, Glenn Morris wrote:
> Jan Moringen wrote:
> 
> > `python-describe-symbol' can fail depending on the pager settings
> > detected by Python's pydoc module. If a pager is detected, the created
> > help buffer contains pager error messages about the terminal being not
> > fully functional instead of the desired documentation.
> >
> > The problem can be avoided (in a not-threadsafe manner) by modifying
> > ehelp in etc/emacs2.py as follows:
> >
> > def ehelp (name, imports):
> 
> Neither python-describe-symbol nor etc/emacs2.py exist in Emacs any more
> from 24.3 onwards. It looks like the replacement is
> python-eldoc-at-point. This issue might be fixed now, but there is no
> recipe to reproduce it, so I cannot say. Maybe you could try the latest
> pretest 24.2.9x from http://alpha.gnu.org/gnu/emacs/pretest/ and let us
> know.

Since the function has been removed, I think this issue can be
considered fixed. Thanks for asking.